Bug 47567 - [Feature Request] Add XCode Download Container function to Visual Studio UI
Summary: [Feature Request] Add XCode Download Container function to Visual Studio UI
Status: RESOLVED ANSWERED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- enhancement
Target Milestone: Future Cycle
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-21 11:53 UTC by Seb
Modified: 2017-10-06 01:18 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
screenshot of xcode download container option (160.30 KB, image/png)
2016-11-21 11:53 UTC, Seb
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Seb 2016-11-21 11:53:13 UTC
Created attachment 18564 [details]
screenshot of xcode download container option

Hi there,

I'm often having to swap over to my Mac to download the application container.
To reproduce the requested functionality:
in XCode go to Window > Devices
Select your device/simulator
Under Installed Apps list Highlight your application
Click Cog icon
Click Download Container...

This allows you to download a snapshot of your apps private files (when debugging) which is a very helpful feature, but a pain to get to (especially when mainly working from Windows)

Can we add an option to carry out the above automatically, extracting the data container on mac and transferring to the Windows machine as a ZIP or similar? 

Would be highly convenient.

Thanks
Comment 1 vga 2016-12-22 19:10:12 UTC
Hi Seb, thanks for your feature suggestion. I'm setting it to C10 to get reviewed by the team.
Comment 2 Joaquin Jares 2017-06-28 14:53:20 UTC
Moving this to Future Cycle. Our focus right now is on quality, but we'll review as soon as we start working on new features again.
Comment 3 Pierce Boggan [MSFT] 2017-10-06 01:18:53 UTC
Thanks for taking the time to report this issue. :)

Given this is a feature request or enhancement, I am closing this issue and adding a work item to our backlog.